{% load static %}

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="MHL">
    <link rel="icon" type="image/jpg" href="{% static 'base/img/apoyo-img.png' %}"/>

    <title>Gestión de Apoyos</title>

    <!-- Custom fonts for this template-->
    <link href="{% static 'base/vendor/fontawesome-free/css/all.min.css' %}" rel="stylesheet" type="text/css">
    <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

    <!--  CSS de bootstrap-->
    <link href="{% static 'base/css/sb-admin-2.min.css' %}" rel="stylesheet">

    <!-- CSS de carrousel -->
    <link rel="stylesheet" href="{% static 'base/css/carrousel.css' %}">

    <!-- CSS de Bootrtrap-Table -->
    <link rel="stylesheet" href="{% static 'base/css/bootstrap-table.min.css' %}">
    <!-- <link rel="stylesheet" href="https://unpkg.com/bootstrap-table@1.21.1/dist/bootstrap-table.min.css"> -->
    <!-- Activamos el datatable -->
    <link href="{% static 'base/vendor/datatables/dataTables.bootstrap4.min.css' %}" rel="stylesheet">

    <!-- CSS jQuery-confirm -->
    <link rel="stylesheet" href="{% static 'base/css/jquery-confirm.min.css' %}">

    <!-- Select2 jQuery para listar modelos -->
    <!-- Select2 -->
    <link rel="stylesheet" href="{% static 'plugins/select2/css/select2.min.css' %}">
    <link rel="stylesheet" href="{% static 'plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css' %}">    
    <!-- <link rel="stylesheet" href="{% static 'base/css/select2.min.css' %}"> -->

    <!-- librerias para autocompletar select-->
    <link rel="stylesheet" href="{% static 'admin/css/vendor/select2/select2.css' %}">
    <link rel="stylesheet" href="{% static 'admin/css/autocomplete.css' %}">

    <!-- librerías de calendario datetimepicker -->
    <!-- <link rel="stylesheet" href="{% static 'base/css/jquery.datetimepicker.min.css' %}"> -->

    <!-- XDSoft DateTimePicker -->  
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-datetimepicker/2.5.20/jquery.datetimepicker.min.css" integrity="sha256-DOS9W6NR+NFe1fUhEE0PGKY/fubbUCnOfTje2JMDw3Y=" crossorigin="anonymous" /> 

</head>

<body id="page-top" class="bg-gradient-danger">

    {% block side_bar %}
    <!-- Page Wrapper -->
    <div id="wrapper">

        <!-- Sidebar -->
        <ul class="navbar-nav bg-gradient-danger sidebar sidebar-dark accordion" id="accordionSidebar">

            <!-- Sidebar - Brand -->
            <a class="sidebar-brand d-flex align-items-center justify-content-center" href="{% url 'bases:home' %}">
                <div class="sidebar-brand-icon rotate-n-15">
                    <i class="fas fa-wallet"></i>
                </div>
                <div class="sidebar-brand-text mx-3">Gestión de Apoyos <sup></sup></div>
            </a>

            <!-- Divider -->
            <hr class="sidebar-divider my-0">

            <!-- Nav Item - Dashboard -->
            <li class="nav-item">
                <a class="nav-link" href="{% url 'bases:obtener-estadisticas' %}">
                    <i class="fas fa-chart-line"></i>
                    <span>Dashboard</span></a>
            </li>

            <!-- Divider -->
            <hr class="sidebar-divider">

            <!-- Heading -->
            <div class="sidebar-heading">
                OPCIONES DE MENÚ
            </div>

            <!-- variables que contienen etiquetas de ruta -->
            <!-- Admin de recursos -->
            {% url 'apoyos:personas_list' as personas_url %}
            {% url 'apoyos:apoyos_list' as apoyos_url %}
            {% url 'apoyos:encargados_list' as enc_url %}
            {% url 'apoyos:localidades_list' as loc_url %}

            <!-- admin de personal -->
            {% url 'apoyos:empleados_list' as emp_url %}            
            {% url 'apoyos:puestos_list' as puestos_url %}
            {% url 'apoyos:departamentos_list' as departamentos_url %}

            <!-- admin de contribuyentes -->
            {% url 'catastro:contribuyentes_list' as cont_url %}

            <!-- Nav Item - Pages Collapse Menu -->
            <li class="nav-item {% if personas_url in request.path or apoyos_url in request.path or enc_url in request.path or loc_url in request.path %} active {% endif %}">
                <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapseTwo"
                    aria-expanded="true" aria-controls="collapseTwo">
                    <!-- <i class="fas fa-fw fa-cog"></i> -->
                    <i class="fas fa-donate"></i>
                    
                    <span>RECURSOS</span>
                </a>
                <div id="collapseTwo" class="collapse {% if personas_url in request.path or apoyos_url in request.path or enc_url in request.path or loc_url in request.path %} show {% endif %}" aria-labelledby="headingTwo" data-parent="#accordionSidebar">
                    <div class="bg-white py-2 collapse-inner rounded">
                        <h6 class="collapse-header">ADMIN. RECURSOS:</h6>
                        <!-- permisos a nivel de plantillas -->                        
                        <a class="collapse-item" href="{% url 'bases:menu-personas' %}">Búsqueda/Filtros</a>                        
                        
                        {% if perms.apoyos.view_persona %}
                            <a class="collapse-item {% if personas_url in request.path %} active {% endif %}" href="{{ personas_url }}">Personas</a>
                        {% endif %}
                        <div class="dropdown-divider"></div>
                            
                        <a class="collapse-item" href="{% url 'bases:menu_de_apoyos' %}">Filtrar apoyos</a>  

                        {% if perms.apoyos.view_apoyos %}
                            <a class="collapse-item {% if apoyos_url in request.path %} active {% endif %}" href="{{ apoyos_url }}">Apoyos</a>
                        {% endif %}

                        
                        {% if perms.apoyos.view_encargadoruta %}
                            <a class="collapse-item {% if enc_url in request.path %} active {% endif %}" href="{{ enc_url }}">Encargados Ruta</a>
                        {% endif %}
                            
                        
                        {% if perms.apoyos.view_localidad %}
                        <a class="collapse-item {% if loc_url in request.path %} active {% endif %}" href="{{ loc_url }}">Localidades</a>  
                        {% endif %}                                                                                                                                               
                    </div>
                </div>
            </li>

            <!-- Nav Item - Utilities Collapse Menu -->
            <li class="nav-item {% if emp_url in request.path or puestos_url in request.path or departamentos_url in request.path %} active {% endif %}">
                <a class="nav-link collapsed active" href="#" data-toggle="collapse" data-target="#collapseUtilities"
                    aria-expanded="true" aria-controls="collapseUtilities">
                    <i class="fas fa-user-edit"></i>
                    <span>PERSONAL</span>
                </a>
                <div id="collapseUtilities" class="collapse {% if emp_url in request.path or puestos_url in request.path or departamentos_url in request.path %} show {% endif %}" aria-labelledby="headingUtilities"
                    data-parent="#accordionSidebar">
                    <div class="bg-white py-2 collapse-inner rounded">
                        <h6 class="collapse-header">ADMIN. PERSONAL:</h6>
                        <!-- permisos a nivel de plantillas -->  
                        
                        {% if perms.apoyos.view_empleado %}
                            <a class="collapse-item {% if emp_url in request.path %} active {% endif %}" href="{{ emp_url }}">Empleados</a>
                        {% endif %}
                           
                        
                        {% if perms.apoyos.view_departamento %}
                            <a class="collapse-item {% if departamentos_url in request.path %} active {% endif %}" href="{{ departamentos_url }}">Departamentos</a>
                        {% endif %}
                                                    
                        {% if perms.apoyos.view_puesto %}
                            <a class="collapse-item {% if puestos_url in request.path %} active {% endif %}" href="{{ puestos_url }}">Puestos</a>
                        {% endif %}                                                                                                                         
                    </div>
                </div>
            </li>

            <!-- <li class="nav-item {% if cont_url in request.path %} active {% endif %}">
                <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapseTwo"
                    aria-expanded="true" aria-controls="collapseTwo"> -->
                    <!-- <i class="fas fa-fw fa-cog"></i> -->
                    <!-- <i class="fas fa-home"></i> -->
                    
                    <!-- <span>CONTRIBUYENTES</span>
                </a>
                <div id="collapseTwo" class="collapse {% if cont_url in request.path %} show {% endif %}" aria-labelledby="headingTwo" data-parent="#accordionSidebar">
                    <div class="bg-white py-2 collapse-inner rounded">
                        <h6 class="collapse-header">ADMIN. RECURSOS:</h6> -->
                        <!-- permisos a nivel de plantillas -->                        
                        <!-- {% if perms.catastro.view_contribuyente %}
                            <a class="collapse-item {% if cont_url in request.path %} active {% endif %}" href="{{ cont_url }}">Personas</a>
                        {% endif %}
                                                                                                                                                                                                          
                    </div>
                </div>
            </li> -->

            <!-- Divider -->
            <hr class="sidebar-divider">

            <!-- Heading -->
            <!-- <div class="sidebar-heading">
                Principales Filtros
            </div> -->

            <!-- Nav Item - Pages Collapse Menu -->
            <!-- <li class="nav-item active">
                <a class="nav-link" href="#" data-toggle="collapse" data-target="#collapsePages" aria-expanded="true"
                    aria-controls="collapsePages">
                    <i class="fas fa-fw fa-folder"></i>
                    <span>Pages</span>
                </a>
                <div id="collapsePages" class="collapse show" aria-labelledby="headingPages"
                    data-parent="#accordionSidebar">
                    <div class="bg-white py-2 collapse-inner rounded">
                        <h6 class="collapse-header">Login Screens:</h6>
                        <a class="collapse-item" href="login.html">Login</a>
                        <a class="collapse-item" href="register.html">Register</a>
                        <a class="collapse-item" href="forgot-password.html">Forgot Password</a>
                        <div class="collapse-divider"></div>
                        <h6 class="collapse-header">Other Pages:</h6>
                        <a class="collapse-item" href="404.html">404 Page</a>
                        <a class="collapse-item active" href="blank.html">Blank Page</a>
                    </div>
                </div>
            </li> -->

            <!-- Nav Item - Charts -->
            <!-- <li class="nav-item">
                <a class="nav-link" href="charts.html">
                    <i class="fas fa-fw fa-chart-area"></i>
                    <span>Charts</span></a>
            </li> -->

            <!-- Nav Item - Tables -->
            <!-- <li class="nav-item">
                <a class="nav-link" href="tables.html">
                    <i class="fas fa-fw fa-table"></i>
                    <span>Tables</span></a>
            </li> -->

            <!-- Divider -->
            <hr class="sidebar-divider d-none d-md-block">

            <!-- Sidebar Toggler (Sidebar) -->
            <div class="text-center d-none d-md-inline">
                <button class="rounded-circle border-0" id="sidebarToggle"></button>
            </div>

        </ul>
        {% endblock side_bar %}
        <!-- End of Sidebar -->

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                {% block top_bar %}
                <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

                    <!-- Sidebar Toggle (Topbar) -->
                    <!-- <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                        <i class="fa fa-bars"></i>
                    </button> -->

                    <!-- Topbar Search -->
                    <!-- <form
                        class="d-none d-sm-inline-block form-inline mr-auto ml-md-3 my-2 my-md-0 mw-100 navbar-search">
                        <div class="input-group">
                            <input type="text" class="form-control bg-light border-0 small" placeholder="Search for..."
                                aria-label="Search" aria-describedby="basic-addon2">
                            <div class="input-group-append">
                                <button class="btn btn-primary bg-gradient-danger" type="button">
                                    <i class="fas fa-search fa-sm"></i>
                                </button>
                            </div>
                        </div>
                    </form> -->

                    <!-- Topbar Navbar -->
                    <ul class="navbar-nav ml-auto">

                        <!-- Nav Item - Search Dropdown (Visible Only XS) -->
                        <li class="nav-item dropdown no-arrow d-sm-none">
                            <a class="nav-link dropdown-toggle" href="#" id="searchDropdown" role="button"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="fas fa-search fa-fw"></i>
                            </a>
                            <!-- Dropdown - Messages -->
                            <!-- <div class="dropdown-menu dropdown-menu-right p-3 shadow animated--grow-in"
                                aria-labelledby="searchDropdown">
                                <form class="form-inline mr-auto w-100 navbar-search">
                                    <div class="input-group">
                                        <input type="text" class="form-control bg-light border-0 small"
                                            placeholder="Search for..." aria-label="Search"
                                            aria-describedby="basic-addon2">
                                        <div class="input-group-append">
                                            <button class="btn btn-primary" type="button">
                                                <i class="fas fa-search fa-sm"></i>
                                            </button>
                                        </div>
                                    </div>
                                </form>
                            </div> -->
                        </li>

                        <!-- Nav Item - Alerts -->
                        <!-- <li class="nav-item dropdown no-arrow mx-1">
                            <a class="nav-link dropdown-toggle" href="#" id="alertsDropdown" role="button"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="fas fa-bell fa-fw"></i> -->
                                <!-- Counter - Alerts -->
                                <!-- <span class="badge badge-danger badge-counter">3+</span>
                            </a> -->
                            <!-- Dropdown - Alerts -->
                            <!-- <div class="dropdown-list dropdown-menu dropdown-menu-right shadow animated--grow-in"
                                aria-labelledby="alertsDropdown">
                                <h6 class="dropdown-header">
                                    Alerts Center
                                </h6>
                                <a class="dropdown-item d-flex align-items-center" href="#">
                                    <div class="mr-3">
                                        <div class="icon-circle bg-primary">
                                            <i class="fas fa-file-alt text-white"></i>
                                        </div>
                                    </div>
                                    <div>
                                        <div class="small text-gray-500">December 12, 2019</div>
                                        <span class="font-weight-bold">A new monthly report is ready to download!</span>
                                    </div>
                                </a>
                                <a class="dropdown-item d-flex align-items-center" href="#">
                                    <div class="mr-3">
                                        <div class="icon-circle bg-success">
                                            <i class="fas fa-donate text-white"></i>
                                        </div>
                                    </div>
                                    <div>
                                        <div class="small text-gray-500">December 7, 2019</div>
                                        $290.29 has been deposited into your account!
                                    </div>
                                </a>
                                <a class="dropdown-item d-flex align-items-center" href="#">
                                    <div class="mr-3">
                                        <div class="icon-circle bg-warning">
                                            <i class="fas fa-exclamation-triangle text-white"></i>
                                        </div>
                                    </div>
                                    <div>
                                        <div class="small text-gray-500">December 2, 2019</div>
                                        Spending Alert: We've noticed unusually high spending for your account.
                                    </div>
                                </a>
                                <a class="dropdown-item text-center small text-gray-500" href="#">Show All Alerts</a>
                            </div>
                        </li> -->

                        <!-- Nav Item - Messages -->
                        <!-- <li class="nav-item dropdown no-arrow mx-1">
                            <a class="nav-link dropdown-toggle" href="#" id="messagesDropdown" role="button"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="fas fa-envelope fa-fw"></i> -->
                                <!-- Counter - Messages -->
                                <!-- <span class="badge badge-danger badge-counter">7</span>
                            </a> -->
                            <!-- Dropdown - Messages -->
                            <!-- <div class="dropdown-list dropdown-menu dropdown-menu-right shadow animated--grow-in"
                                aria-labelledby="messagesDropdown">
                                <h6 class="dropdown-header">
                                    Message Center
                                </h6>
                                <a class="dropdown-item d-flex align-items-center" href="#">
                                    <div class="dropdown-list-image mr-3">
                                        <img class="rounded-circle" src="{% static 'base/img/undraw_profile_1.svg' %}"
                                            alt="...">
                                        <div class="status-indicator bg-success"></div>
                                    </div>
                                    <div class="font-weight-bold">
                                        <div class="text-truncate">Hi there! I am wondering if you can help me with a
                                            problem I've been having.</div>
                                        <div class="small text-gray-500">Emily Fowler · 58m</div>
                                    </div>
                                </a>
                                <a class="dropdown-item d-flex align-items-center" href="#">
                                    <div class="dropdown-list-image mr-3">
                                        <img class="rounded-circle" src="{% static 'base/img/undraw_profile_2.svg' %}"
                                            alt="...">
                                        <div class="status-indicator"></div>
                                    </div>
                                    <div>
                                        <div class="text-truncate">I have the photos that you ordered last month, how
                                            would you like them sent to you?</div>
                                        <div class="small text-gray-500">Jae Chun · 1d</div>
                                    </div>
                                </a>
                                <a class="dropdown-item d-flex align-items-center" href="#">
                                    <div class="dropdown-list-image mr-3">
                                        <img class="rounded-circle" src="{% static 'base/img/undraw_profile_3.svg' %}"
                                            alt="...">
                                        <div class="status-indicator bg-warning"></div>
                                    </div>
                                    <div>
                                        <div class="text-truncate">Last month's report looks great, I am very happy with
                                            the progress so far, keep up the good work!</div>
                                        <div class="small text-gray-500">Morgan Alvarez · 2d</div>
                                    </div>
                                </a>
                                <a class="dropdown-item d-flex align-items-center" href="#">
                                    <div class="dropdown-list-image mr-3">
                                        <img class="rounded-circle" src="https://source.unsplash.com/Mv9hjnEUHR4/60x60"
                                            alt="...">
                                        <div class="status-indicator bg-success"></div>
                                    </div>
                                    <div>
                                        <div class="text-truncate">Am I a good boy? The reason I ask is because someone
                                            told me that people say this to all dogs, even if they aren't good...</div>
                                        <div class="small text-gray-500">Chicken the Dog · 2w</div>
                                    </div>
                                </a>
                                <a class="dropdown-item text-center small text-gray-500" href="#">Read More Messages</a>
                            </div>
                        </li> -->

                        <div class="topbar-divider d-none d-sm-block"></div>

                        <!-- Nav Item - User Information -->
                        <li class="nav-item dropdown no-arrow">
                            <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <span class="mr-2 d-none d-lg-inline text-gray-600 small">{{ user.username }}</span>
                                <img class="img-profile rounded-circle"
                                    src="{% static 'base/img/undraw_profile.svg' %}">
                            </a>
                            <!-- Dropdown - User Information -->
                            <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                                aria-labelledby="userDropdown">
                                <!-- <a class="dropdown-item" href="#">
                                    <i class="fas fa-user fa-sm fa-fw mr-2 text-gray-400"></i>
                                    Perfil
                                </a>
                                <a class="dropdown-item" href="#">
                                    <i class="fas fa-cogs fa-sm fa-fw mr-2 text-gray-400"></i>
                                    Ajustes
                                </a>                                 -->
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item" href="#" data-toggle="modal" data-target="#logoutModal">
                                    <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                                    Salir
                                </a>
                            </div>
                        </li>

                    </ul>

                </nav>
                {% endblock top_bar %}
                <!-- End of Topbar -->

                <!-- Begin Page Content -->
                
                {% block page_content %}
                <div class="container-fluid">

                    <!-- Page Heading -->
                    <h1 class="h3 mb-4 text-gray-800">Blank Page</h1>

                </div>
                {% endblock page_content %}
                <!-- /.container-fluid -->

                
                {% block footer %} 
            </div>
            <!-- End of Main Content -->

            <!-- Footer -->
            <footer class="sticky-footer bg-white">
                <div class="container my-auto">
                    <div class="copyright text-center my-auto">
                        <span>Copyright &copy; Gestión de apoyos y concentrado de activistas - Pinos, Zacatecas</span>
                    </div>
                </div>
            </footer>
            <!-- End of Footer -->

        </div>
        <!-- End of Content Wrapper -->

    </div>
    {% endblock footer %}
    <!-- End of Page Wrapper -->

    
    {% block login %}{% endblock login %}
    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
        <i class="fas fa-angle-up"></i>
    </a>

    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Deseas cerrar sesión?</h5>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body">Selecciona salir si estas seguro de querer cerrar la sesión.</div>
                <div class="modal-footer">
                    <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancelar</button>
                    <a class="btn btn-primary" href="{% url 'bases:logout' %}">Salir</a>
                </div>
            </div>
        </div>
    </div>

    <!-- Bootstrap core JavaScript-->
    <script src="{% static 'base/vendor/jquery/jquery.min.js' %}"></script>
    <script src="{% static 'base/vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>

    <!-- JS de jQuery-confirm -->
    <script src="{% static 'base/js/jquery-confirm.min.js' %}"></script>

    <!-- JS de Bootstrap-Table -->
    <script src="{% static 'base/js/bootstrap-table.min.js' %}""></script>
    <!-- <script src="https://unpkg.com/bootstrap-table@1.21.1/dist/bootstrap-table.min.js"></script> -->

    <!-- Core plugin JavaScript-->
    <script src="{% static 'base/vendor/jquery-easing/jquery.easing.min.js' %}"></script>

    <!-- Custom scripts for all pages-->
    <script src="{% static 'base/js/sb-admin-2.min.js' %}"></script>

    <!-- js de datatables-->
    <script src="{% static 'base/vendor/datatables/jquery.dataTables.min.js' %}"></script>
    <script src="{% static 'base/vendor/datatables/dataTables.bootstrap4.min.js' %}"></script>
    <!-- <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script> -->
    <script src="https://cdn.datatables.net/buttons/2.3.6/js/dataTables.buttons.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
    <script src="https://cdn.datatables.net/buttons/2.3.6/js/buttons.html5.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/2.3.6/js/buttons.print.min.js"></script>

    <!-- Select2 js para listar modelos -->
    <script src="{% static 'plugins/select2/js/select2.full.min.js' %}"></script>
    <!-- <script src="{% static 'base/js/select2.min.js' %}"></script> -->

    <!-- librerias para autocompletar select-->
    <script src="{% static 'admin/js/vendor/jquery/jquery.js' %}"></script>
    <script src="{% static 'admin/js/vendor/select2/select2.full.js' %}"></script>
    <script src="{% static 'admin/js/jquery.init.js' %}"></script>
    <script src="{% static 'admin/js/autocomplete.js' %}"></script>

    <!-- librerias para calendario datetimepicker -->
    <!-- <script src="{% static 'base/js/jquery.datetimepicker.min.js' %}"></script> -->
    <!-- DateTimePicker -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-datetimepicker/2.5.20/jquery.datetimepicker.full.min.js" integrity="sha256-FEqEelWI3WouFOo2VWP/uJfs1y8KJ++FLh2Lbqc8SJk=" crossorigin="anonymous"></script> 

    <!-- idioma español de Datetimepicker() -->
    <script>  
        $(document).ready(function () {  
              jQuery.datetimepicker.setLocale('es');  
        });  
    </script> 
   
    
    {% block control_modal %}
        <script>
            function abrir_modal(){

            }

            function cerrar_modal(){

            }

            // mensaje de jQuery confirm
            function mensaje(msg, color = 'green'){
                // validamos los colores de mensajes
                if(color == 'success') {                    
                    color = 'green';                          
                }

                if(color=='error'){
                    color = 'red';
                }

                $.alert({
                    title: '',
                    icon: '',
                    theme: 'modern',
                    type: color,
                    content: msg
                });
            }


            // mostramos los mensajes
            {% if messages %}
                {% for message in messages %}
                console.log("{{ messaje.tags }}");
                    mensaje("{{ message }}", "{{ message.tags }}");
                {% endfor %}
            {% endif %}

        </script>
    {% endblock control_modal %}

    {% block js_page %}
        
    {% endblock js_page %}
        
</body>

</html>